IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_CONTAINERCHECK')
CREATE TABLE T_MSPLAN_CONTAINERCHECK (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCONTAINERCOUNT BIGINT DEFAULT 0 NOT NULL,
	FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FMQQUEUE NVARCHAR(255) DEFAULT ' ' NOT NULL, 
	FTASKCOUNT BIGINT DEFAULT 0 NOT NULL,
	FRETRYCOUNT BIGINT DEFAULT 0 NOT NULL,
	FISRESTART CHAR(1) DEFAULT '0' NOT NULL,
	FRESTARTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOMWAITTIME BIGINT DEFAULT 0 NOT NULL,
	FPARALLELTYPE BIGINT DEFAULT 0 NOT NULL,
	FMONITORUSERNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FMONITORUSERPS NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FMONITORURL NVARCHAR(255) DEFAULT ' ' NOT NULL, 
	FSAVEENTRYDAY BIGINT DEFAULT 0 NOT NULL,
	FHEALTHPROXY BIGINT DEFAULT 0 NOT NULL,
	FISHEALTHCHECK CHAR(1) DEFAULT '0' NOT NULL,
	FISFULLGC CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_CONTAINERCHECK_L')
CREATE TABLE T_MSPLAN_CONTAINERCHECK_L (
	FPKID VARCHAR(36) DEFAULT ' '  NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_CONTAINERCHECK_E')
CREATE TABLE T_MSPLAN_CONTAINERCHECK_E (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FOPDATE DATETIME,
	FOPRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPDETIALINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPDETIALINFO_TAG NCLOB,
	FOPTIMELONG DECIMAL(23,2) DEFAULT 0 NOT NULL, 
	FTRACEID NVARCHAR(255) DEFAULT ' ' NOT NULL
);
